#
# spec file for package python-cfgv
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-cfgv
Version:        3.4.0
Release:        1.6
Summary:        Configuration validator producing human readable error messages
License:        MIT
URL:            https://github.com/asottile/cfgv
Source:         https://github.com/asottile/cfgv/archive/v%{version}.tar.gz#/cfgv-%{version}.tar.gz
BuildRequires:  %{python_module devel >= 3.8}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
A configuration validator for Python that produce human readable error messages.

%prep
%setup -q -n cfgv-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Sep 12 2023 Dirk Müller <dmueller@suse.com>
- update to 3.4.0:
  * add a custom display name for loading from file
  * require python 3.8
* Sun Mar 27 2022 Dirk Müller <dmueller@suse.com>
- update to 3.3.1:
  * python 3.9 enabled
* Wed Aug  5 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 3.2.0:
  * No upstream changelog
* Mon Mar 30 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to version 3.1.0
  * cfgv: python3.6+
* Fri Jul 26 2019 pgajdos@suse.com
- update to version 2.0.1
  * no upstream changelog
* Sat Apr  6 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase.
* Thu Apr  4 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.6.0
